#ifndef T6713DRIVER
#define T6713DRIVER

#include "Arduino.h"
#include <Wire.h>

#define T6713_I2CADDR_DEFAULT 0x15

class T6713 {
public:
    T6713();
    bool begin();
    uint8_t reset();
    uint8_t readStatus();
    uint16_t getStatus();
    uint8_t readCO2value();
    uint16_t getCO2value();
    bool isInWarmupMode();

private:
    volatile uint8_t _i2caddr;
    volatile uint16_t _CO2value;
    uint8_t _fCode;
    uint8_t _byteCount;
    volatile uint16_t _status;
    uint16_t getAddress();
    bool isMatchingAddress();
};


#endif