#include "Timer.h"
#include <avr/io.h>
void Timer_init() {
    // CTC mode
    // Arduino framework sets WGM20 for some reason, WGM21 can't just be OR'ed
    TCCR2A = 0 | _BV(WGM21);

    // Set clock prescaler 1024
    TCCR2B |= _BV(CS22) | _BV(CS21) | _BV(CS20);

    // 16MHz oscillator, 1024 prescaler. Count to 125 is equal to 1/125 seconds
    OCR2A = 0x7c;

    // Enable interrupt
    TIMSK2 |= _BV(OCIE2A);
}
